"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorCode = void 0;
var ErrorCode;
(function (ErrorCode) {
    ErrorCode[ErrorCode["NotFound"] = 'not-found'] = "NotFound";
    ErrorCode[ErrorCode["InvalidQuery"] = 'invalid-query'] = "InvalidQuery";
    ErrorCode[ErrorCode["InvalidBody"] = 'invalid-body'] = "InvalidBody";
    ErrorCode[ErrorCode["InvalidKeyReference"] = 'invalid-key-reference'] = "InvalidKeyReference";
    ErrorCode[ErrorCode["DuplicateUniqueKey"] = 'duplicate-unique-key'] = "DuplicateUniqueKey";
    ErrorCode[ErrorCode["CannotParseToken"] = 'cannot-parse-token'] = "CannotParseToken";
    ErrorCode[ErrorCode["InvalidToken"] = 'invalid-token'] = "InvalidToken";
    ErrorCode[ErrorCode["MissingScopes"] = 'missing-scopes'] = "MissingScopes";
    ErrorCode[ErrorCode["InternalError"] = 'internal-error'] = "InternalError";
    ErrorCode[ErrorCode["Unauthorized"] = 'unauthorized'] = "Unauthorized";
    ErrorCode[ErrorCode["InvalidAppUid"] = 'invalid-app-uid'] = "InvalidAppUid";
})(ErrorCode || (exports.ErrorCode = ErrorCode = {}));
