import { Org, OrgWrite, WrappedOrg, WrappedWithMetaArrayOrg } from "../api.js";
import { FindQueryParams, GetQueryParams, QueryOptions } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export declare class OrgsClient {
    private client;
    constructor(basePath: string, auth: Auth, queryOptions: QueryOptions);
    create(org: OrgWrite): Promise<WrappedOrg>;
    get(id: string, query?: GetQueryParams): Promise<WrappedOrg>;
    find(findParams?: FindQueryParams<Org>): Promise<WrappedWithMetaArrayOrg>;
    update(id: string, org: OrgWrite): Promise<WrappedOrg>;
}
