export class Person {
    static getAttributeTypeMap() {
        return Person.attributeTypeMap;
    }
}
Person.discriminator = undefined;
Person.attributeTypeMap = [
    {
        "name": "address",
        "baseName": "address",
        "type": "Address"
    },
    {
        "name": "affiliations",
        "baseName": "affiliations",
        "type": "Array<Affiliation>"
    },
    {
        "name": "birthDate",
        "baseName": "birthDate",
        "type": "string"
    },
    {
        "name": "cellPhone",
        "baseName": "cellPhone",
        "type": "string"
    },
    {
        "name": "cellPhoneVerified",
        "baseName": "cellPhoneVerified",
        "type": "boolean"
    },
    {
        "name": "consents",
        "baseName": "consents",
        "type": "Array<Consent>"
    },
    {
        "name": "deceasedDate",
        "baseName": "deceasedDate",
        "type": "string"
    },
    {
        "name": "displayName",
        "baseName": "displayName",
        "type": "string"
    },
    {
        "name": "email",
        "baseName": "email",
        "type": "string"
    },
    {
        "name": "emailVerified",
        "baseName": "emailVerified",
        "type": "boolean"
    },
    {
        "name": "firstName",
        "baseName": "firstName",
        "type": "string"
    },
    {
        "name": "gender",
        "baseName": "gender",
        "type": "Gender"
    },
    {
        "name": "homePhone",
        "baseName": "homePhone",
        "type": "string"
    },
    {
        "name": "lastChangedDate",
        "baseName": "lastChangedDate",
        "type": "Date"
    },
    {
        "name": "lastName",
        "baseName": "lastName",
        "type": "string"
    },
    {
        "name": "maritalStatus",
        "baseName": "maritalStatus",
        "type": "MaritalStatus"
    },
    {
        "name": "middleName",
        "baseName": "middleName",
        "type": "string"
    },
    {
        "name": "nationalIds",
        "baseName": "nationalIds",
        "type": "Array<NationalId>"
    },
    {
        "name": "personID",
        "baseName": "personID",
        "type": "number"
    },
    {
        "name": "preferences",
        "baseName": "preferences",
        "type": "Preferences"
    },
    {
        "name": "profilePicture",
        "baseName": "profilePicture",
        "type": "string"
    },
    {
        "name": "relations",
        "baseName": "relations",
        "type": "Array<PersonRelation>"
    },
    {
        "name": "roleAssignments",
        "baseName": "roleAssignments",
        "type": "Array<RoleAssignment>"
    },
    {
        "name": "staticGroupMemberships",
        "baseName": "staticGroupMemberships",
        "type": "Array<GroupMember>"
    },
    {
        "name": "uid",
        "baseName": "uid",
        "type": "string"
    }
];
