import { GrantType } from './grantType.js';
import { Person } from './person.js';
import { PersonRelationType } from './personRelationType.js';
export declare class PersonRelation {
    'grantToOrigin': GrantType;
    'grantToTarget': GrantType;
    'target'?: Person;
    'targetUid': string;
    'type': PersonRelationType;
    'validFrom': Date;
    'validTo'?: Date | null;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
