import { RoleScope } from './roleScope.js';
export declare class Role {
    'lastChangedDate': Date;
    'name'?: string;
    'scope'?: RoleScope;
    'uid': string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
